From 3fe97a232458b965618e25f8959e8dd8d37455ba Mon Sep 17 00:00:00 2001
From: Nic Jansma <nic@nicj.net>
Date: Tue, 7 Aug 2012 09:53:28 -0400
Subject: [PATCH] Documentation update with an example for .execute('array')

---
 README.markdown | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/README.markdown b/README.markdown
index 6990a69..78264a4 100644
--- a/README.markdown
+++ b/README.markdown
@@ -239,6 +239,24 @@ In some cases however, you will find this way of querying your models just too l
       order: ['last_name desc', 'first_name asc']
     });
 
+### Data retrieval for queries with no specific model (eg, GROUP BY)
+
+Some query results can't be mapped back to a Joli model.  For example, when using a `GROUP BY` statement:
+
+    SELECT city, COUNT(*) as count
+    FROM human
+    GROUP BY city
+
+The rows returned by the above query are not Joli models, but simple `[city, count]` tuples.
+    
+To avoid having Joli try to map the query results to a model, you can pass a string parameter `"array"` to the 
+`.execute()` function to have the results returned as an array of simple objects:
+
+    var q = new joli.query()
+        .select('city, COUNT(*) as count')
+        .from('human')
+        .groupBy('city')
+        .execute("array");
 
 ## Internals
 joli.js is made of several classes:
